Show / Hide Table of Contents

# Class ImPlotNative

##### Inheritance

System.Object
ImPlotNative

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: ImPlotNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public static class ImPlotNative

### Methods

#### ImPlot_AddColormap_U32Ptr(Byte*, UInt32*, Int32, Byte)

##### Declaration

    public static extern ImPlotColormap ImPlot_AddColormap_U32Ptr(byte *name, uint *cols, int size, byte qual)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |
System.UInt32* | cols |
System.Int32 | size |
System.Byte | qual |

##### Returns

Type | Description
--- | ---
ImPlotColormap |

#### ImPlot_AddColormap_Vec4Ptr(Byte*, Vector4*, Int32, Byte)

##### Declaration

    public static extern ImPlotColormap ImPlot_AddColormap_Vec4Ptr(byte *name, Vector4*cols, int size, byte qual)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |
System.Numerics.Vector4* | cols |
System.Int32 | size |
System.Byte | qual |

##### Returns

Type | Description
--- | ---
ImPlotColormap |

#### ImPlot_Annotation_Bool(Double, Double, Vector4, Vector2, Byte, Byte)

##### Declaration

    public static extern void ImPlot_Annotation_Bool(double x, double y, Vector4 col, Vector2 pix_offset, byte clamp, byte round)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x |
System.Double | y |
System.Numerics.Vector4 | col |
System.Numerics.Vector2 | pix_offset |
System.Byte | clamp |
System.Byte | round |

#### ImPlot_Annotation_Str(Double, Double, Vector4, Vector2, Byte, Byte*)

##### Declaration

    public static extern void ImPlot_Annotation_Str(double x, double y, Vector4 col, Vector2 pix_offset, byte clamp, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x |
System.Double | y |
System.Numerics.Vector4 | col |
System.Numerics.Vector2 | pix_offset |
System.Byte | clamp |
System.Byte* | fmt |

#### ImPlot_BeginAlignedPlots(Byte*, Byte)

##### Declaration

    public static extern byte ImPlot_BeginAlignedPlots(byte *group_id, byte vertical)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | group_id |
System.Byte | vertical |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropSourceAxis(ImAxis, ImGuiDragDropFlags)

##### Declaration

    public static extern byte ImPlot_BeginDragDropSourceAxis(ImAxis axis, ImGuiDragDropFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
ImGuiDragDropFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropSourceItem(Byte*, ImGuiDragDropFlags)

##### Declaration

    public static extern byte ImPlot_BeginDragDropSourceItem(byte *label_id, ImGuiDragDropFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
ImGuiDragDropFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropSourcePlot(ImGuiDragDropFlags)

##### Declaration

    public static extern byte ImPlot_BeginDragDropSourcePlot(ImGuiDragDropFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiDragDropFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropTargetAxis(ImAxis)

##### Declaration

    public static extern byte ImPlot_BeginDragDropTargetAxis(ImAxis axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropTargetLegend()

##### Declaration

    public static extern byte ImPlot_BeginDragDropTargetLegend()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropTargetPlot()

##### Declaration

    public static extern byte ImPlot_BeginDragDropTargetPlot()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginLegendPopup(Byte*, ImGuiMouseButton)

##### Declaration

    public static extern byte ImPlot_BeginLegendPopup(byte *label_id, ImGuiMouseButton mouse_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
ImGuiMouseButton | mouse_button |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginPlot(Byte*, Vector2, ImPlotFlags)

##### Declaration

    public static extern byte ImPlot_BeginPlot(byte *title_id, Vector2 size, ImPlotFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | title_id |
System.Numerics.Vector2 | size |
ImPlotFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginSubplots(Byte*, Int32, Int32, Vector2, ImPlotSubplotFlags, Single*, Single*)

##### Declaration

    public static extern byte ImPlot_BeginSubplots(byte *title_id, int rows, int cols, Vector2 size, ImPlotSubplotFlags flags, float *row_ratios, float *col_ratios)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | title_id |
System.Int32 | rows |
System.Int32 | cols |
System.Numerics.Vector2 | size |
ImPlotSubplotFlags | flags |
System.Single* | row_ratios |
System.Single* | col_ratios |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BustColorCache(Byte*)

##### Declaration

    public static extern void ImPlot_BustColorCache(byte *plot_title_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | plot_title_id |

#### ImPlot_CancelPlotSelection()

##### Declaration

    public static extern void ImPlot_CancelPlotSelection()

#### ImPlot_ColormapButton(Byte*, Vector2, ImPlotColormap)

##### Declaration

    public static extern byte ImPlot_ColormapButton(byte *label, Vector2 size, ImPlotColormap cmap)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Numerics.Vector2 | size |
ImPlotColormap | cmap |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_ColormapIcon(ImPlotColormap)

##### Declaration

    public static extern void ImPlot_ColormapIcon(ImPlotColormap cmap)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotColormap | cmap |

#### ImPlot_ColormapScale(Byte*, Double, Double, Vector2, Byte*, ImPlotColormapScaleFlags, ImPlotColormap)

##### Declaration

    public static extern void ImPlot_ColormapScale(byte *label, double scale_min, double scale_max, Vector2 size, byte *format, ImPlotColormapScaleFlags flags, ImPlotColormap cmap)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Double | scale_min |
System.Double | scale_max |
System.Numerics.Vector2 | size |
System.Byte* | format |
ImPlotColormapScaleFlags | flags |
ImPlotColormap | cmap |

#### ImPlot_ColormapSlider(Byte*, Single*, Vector4*, Byte*, ImPlotColormap)

##### Declaration

    public static extern byte ImPlot_ColormapSlider(byte *label, float *t, Vector4*out, byte *format, ImPlotColormap cmap)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |
System.Single* | t |
System.Numerics.Vector4* | out |
System.Byte* | format |
ImPlotColormap | cmap |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_CreateContext()

##### Declaration

    public static extern IntPtr ImPlot_CreateContext()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### ImPlot_DestroyContext(IntPtr)

##### Declaration

    public static extern void ImPlot_DestroyContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

#### ImPlot_DragLineX(Int32, Double*, Vector4, Single, ImPlotDragToolFlags)

##### Declaration

    public static extern byte ImPlot_DragLineX(int id, double *x, Vector4 col, float thickness, ImPlotDragToolFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id |
System.Double* | x |
System.Numerics.Vector4 | col |
System.Single | thickness |
ImPlotDragToolFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_DragLineY(Int32, Double*, Vector4, Single, ImPlotDragToolFlags)

##### Declaration

    public static extern byte ImPlot_DragLineY(int id, double *y, Vector4 col, float thickness, ImPlotDragToolFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id |
System.Double* | y |
System.Numerics.Vector4 | col |
System.Single | thickness |
ImPlotDragToolFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_DragPoint(Int32, Double*, Double*, Vector4, Single, ImPlotDragToolFlags)

##### Declaration

    public static extern byte ImPlot_DragPoint(int id, double *x, double *y, Vector4 col, float size, ImPlotDragToolFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id |
System.Double* | x |
System.Double* | y |
System.Numerics.Vector4 | col |
System.Single | size |
ImPlotDragToolFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_DragRect(Int32, Double*, Double*, Double*, Double*, Vector4, ImPlotDragToolFlags)

##### Declaration

    public static extern byte ImPlot_DragRect(int id, double *x1, double *y1, double *x2, double *y2, Vector4 col, ImPlotDragToolFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | id |
System.Double* | x1 |
System.Double* | y1 |
System.Double* | x2 |
System.Double* | y2 |
System.Numerics.Vector4 | col |
ImPlotDragToolFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_EndAlignedPlots()

##### Declaration

    public static extern void ImPlot_EndAlignedPlots()

#### ImPlot_EndDragDropSource()

##### Declaration

    public static extern void ImPlot_EndDragDropSource()

#### ImPlot_EndDragDropTarget()

##### Declaration

    public static extern void ImPlot_EndDragDropTarget()

#### ImPlot_EndLegendPopup()

##### Declaration

    public static extern void ImPlot_EndLegendPopup()

#### ImPlot_EndPlot()

##### Declaration

    public static extern void ImPlot_EndPlot()

#### ImPlot_EndSubplots()

##### Declaration

    public static extern void ImPlot_EndSubplots()

#### ImPlot_GetColormapColor(Vector4*, Int32, ImPlotColormap)

##### Declaration

    public static extern void ImPlot_GetColormapColor(Vector4*pOut, int idx, ImPlotColormap cmap)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4* | pOut |
System.Int32 | idx |
ImPlotColormap | cmap |

#### ImPlot_GetColormapCount()

##### Declaration

    public static extern int ImPlot_GetColormapCount()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### ImPlot_GetColormapIndex(Byte*)

##### Declaration

    public static extern ImPlotColormap ImPlot_GetColormapIndex(byte *name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |

##### Returns

Type | Description
--- | ---
ImPlotColormap |

#### ImPlot_GetColormapName(ImPlotColormap)

##### Declaration

    public static extern byte *ImPlot_GetColormapName(ImPlotColormap cmap)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotColormap | cmap |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImPlot_GetColormapSize(ImPlotColormap)

##### Declaration

    public static extern int ImPlot_GetColormapSize(ImPlotColormap cmap)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotColormap | cmap |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### ImPlot_GetCurrentContext()

##### Declaration

    public static extern IntPtr ImPlot_GetCurrentContext()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### ImPlot_GetInputMap()

##### Declaration

    public static extern ImPlotInputMap*ImPlot_GetInputMap()

##### Returns

Type | Description
--- | ---
ImPlotInputMap* |

#### ImPlot_GetLastItemColor(Vector4*)

##### Declaration

    public static extern void ImPlot_GetLastItemColor(Vector4*pOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4* | pOut |

#### ImPlot_GetMarkerName(ImPlotMarker)

##### Declaration

    public static extern byte *ImPlot_GetMarkerName(ImPlotMarker idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotMarker | idx |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImPlot_GetPlotDrawList()

##### Declaration

    public static extern ImDrawList*ImPlot_GetPlotDrawList()

##### Returns

Type | Description
--- | ---
ImDrawList* |

#### ImPlot_GetPlotLimits(ImAxis, ImAxis)

##### Declaration

    public static extern ImPlotRect ImPlot_GetPlotLimits(ImAxis x_axis, ImAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | x_axis |
ImAxis | y_axis |

##### Returns

Type | Description
--- | ---
ImPlotRect |

#### ImPlot_GetPlotMousePos(ImPlotPoint*, ImAxis, ImAxis)

##### Declaration

    public static extern void ImPlot_GetPlotMousePos(ImPlotPoint*pOut, ImAxis x_axis, ImAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | pOut |
ImAxis | x_axis |
ImAxis | y_axis |

#### ImPlot_GetPlotPos(Vector2*)

##### Declaration

    public static extern void ImPlot_GetPlotPos(Vector2*pOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |

#### ImPlot_GetPlotSelection(ImAxis, ImAxis)

##### Declaration

    public static extern ImPlotRect ImPlot_GetPlotSelection(ImAxis x_axis, ImAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | x_axis |
ImAxis | y_axis |

##### Returns

Type | Description
--- | ---
ImPlotRect |

#### ImPlot_GetPlotSize(Vector2*)

##### Declaration

    public static extern void ImPlot_GetPlotSize(Vector2*pOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |

#### ImPlot_GetStyle()

##### Declaration

    public static extern ImPlotStyle*ImPlot_GetStyle()

##### Returns

Type | Description
--- | ---
ImPlotStyle* |

#### ImPlot_GetStyleColorName(ImPlotCol)

##### Declaration

    public static extern byte *ImPlot_GetStyleColorName(ImPlotCol idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotCol | idx |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImPlot_HideNextItem(Byte, ImPlotCond)

##### Declaration

    public static extern void ImPlot_HideNextItem(byte hidden, ImPlotCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | hidden |
ImPlotCond | cond |

#### ImPlot_IsAxisHovered(ImAxis)

##### Declaration

    public static extern byte ImPlot_IsAxisHovered(ImAxis axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_IsLegendEntryHovered(Byte*)

##### Declaration

    public static extern byte ImPlot_IsLegendEntryHovered(byte *label_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_IsPlotHovered()

##### Declaration

    public static extern byte ImPlot_IsPlotHovered()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_IsPlotSelected()

##### Declaration

    public static extern byte ImPlot_IsPlotSelected()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_IsSubplotsHovered()

##### Declaration

    public static extern byte ImPlot_IsSubplotsHovered()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_ItemIcon_U32(UInt32)

##### Declaration

    public static extern void ImPlot_ItemIcon_U32(uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | col |

#### ImPlot_ItemIcon_Vec4(Vector4)

##### Declaration

    public static extern void ImPlot_ItemIcon_Vec4(Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |

#### ImPlot_MapInputDefault(ImPlotInputMap*)

##### Declaration

    public static extern void ImPlot_MapInputDefault(ImPlotInputMap*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotInputMap* | dst |

#### ImPlot_MapInputReverse(ImPlotInputMap*)

##### Declaration

    public static extern void ImPlot_MapInputReverse(ImPlotInputMap*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotInputMap* | dst |

#### ImPlot_NextColormapColor(Vector4*)

##### Declaration

    public static extern void ImPlot_NextColormapColor(Vector4*pOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4* | pOut |

#### ImPlot_PixelsToPlot_Float(ImPlotPoint*, Single, Single, ImAxis, ImAxis)

##### Declaration

    public static extern void ImPlot_PixelsToPlot_Float(ImPlotPoint*pOut, float x, float y, ImAxis x_axis, ImAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | pOut |
System.Single | x |
System.Single | y |
ImAxis | x_axis |
ImAxis | y_axis |

#### ImPlot_PixelsToPlot_Vec2(ImPlotPoint*, Vector2, ImAxis, ImAxis)

##### Declaration

    public static extern void ImPlot_PixelsToPlot_Vec2(ImPlotPoint*pOut, Vector2 pix, ImAxis x_axis, ImAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | pOut |
System.Numerics.Vector2 | pix |
ImAxis | x_axis |
ImAxis | y_axis |

#### ImPlot_PlotBarGroups_doublePtr(Byte**, Double*, Int32, Int32, Double, Double, ImPlotBarGroupsFlags)

##### Declaration

    public static extern void ImPlot_PlotBarGroups_doublePtr(byte **label_ids, double *values, int item_count, int group_count, double group_size, double shift, ImPlotBarGroupsFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Double* | values |
System.Int32 | item_count |
System.Int32 | group_count |
System.Double | group_size |
System.Double | shift |
ImPlotBarGroupsFlags | flags |

#### ImPlot_PlotBarGroups_FloatPtr(Byte**, Single*, Int32, Int32, Double, Double, ImPlotBarGroupsFlags)

##### Declaration

    public static extern void ImPlot_PlotBarGroups_FloatPtr(byte **label_ids, float *values, int item_count, int group_count, double group_size, double shift, ImPlotBarGroupsFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Single* | values |
System.Int32 | item_count |
System.Int32 | group_count |
System.Double | group_size |
System.Double | shift |
ImPlotBarGroupsFlags | flags |

#### ImPlot_PlotBarGroups_S16Ptr(Byte**, Int16*, Int32, Int32, Double, Double, ImPlotBarGroupsFlags)

##### Declaration

    public static extern void ImPlot_PlotBarGroups_S16Ptr(byte **label_ids, short *values, int item_count, int group_count, double group_size, double shift, ImPlotBarGroupsFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Int16* | values |
System.Int32 | item_count |
System.Int32 | group_count |
System.Double | group_size |
System.Double | shift |
ImPlotBarGroupsFlags | flags |

#### ImPlot_PlotBarGroups_S32Ptr(Byte**, Int32*, Int32, Int32, Double, Double, ImPlotBarGroupsFlags)

##### Declaration

    public static extern void ImPlot_PlotBarGroups_S32Ptr(byte **label_ids, int *values, int item_count, int group_count, double group_size, double shift, ImPlotBarGroupsFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Int32* | values |
System.Int32 | item_count |
System.Int32 | group_count |
System.Double | group_size |
System.Double | shift |
ImPlotBarGroupsFlags | flags |

#### ImPlot_PlotBarGroups_S64Ptr(Byte**, Int64*, Int32, Int32, Double, Double, ImPlotBarGroupsFlags)

##### Declaration

    public static extern void ImPlot_PlotBarGroups_S64Ptr(byte **label_ids, long *values, int item_count, int group_count, double group_size, double shift, ImPlotBarGroupsFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Int64* | values |
System.Int32 | item_count |
System.Int32 | group_count |
System.Double | group_size |
System.Double | shift |
ImPlotBarGroupsFlags | flags |

#### ImPlot_PlotBarGroups_S8Ptr(Byte**, SByte*, Int32, Int32, Double, Double, ImPlotBarGroupsFlags)

##### Declaration

    public static extern void ImPlot_PlotBarGroups_S8Ptr(byte **label_ids, sbyte *values, int item_count, int group_count, double group_size, double shift, ImPlotBarGroupsFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.SByte* | values |
System.Int32 | item_count |
System.Int32 | group_count |
System.Double | group_size |
System.Double | shift |
ImPlotBarGroupsFlags | flags |

#### ImPlot_PlotBarGroups_U16Ptr(Byte**, UInt16*, Int32, Int32, Double, Double, ImPlotBarGroupsFlags)

##### Declaration

    public static extern void ImPlot_PlotBarGroups_U16Ptr(byte **label_ids, ushort *values, int item_count, int group_count, double group_size, double shift, ImPlotBarGroupsFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.UInt16* | values |
System.Int32 | item_count |
System.Int32 | group_count |
System.Double | group_size |
System.Double | shift |
ImPlotBarGroupsFlags | flags |

#### ImPlot_PlotBarGroups_U32Ptr(Byte**, UInt32*, Int32, Int32, Double, Double, ImPlotBarGroupsFlags)

##### Declaration

    public static extern void ImPlot_PlotBarGroups_U32Ptr(byte **label_ids, uint *values, int item_count, int group_count, double group_size, double shift, ImPlotBarGroupsFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.UInt32* | values |
System.Int32 | item_count |
System.Int32 | group_count |
System.Double | group_size |
System.Double | shift |
ImPlotBarGroupsFlags | flags |

#### ImPlot_PlotBarGroups_U64Ptr(Byte**, UInt64*, Int32, Int32, Double, Double, ImPlotBarGroupsFlags)

##### Declaration

    public static extern void ImPlot_PlotBarGroups_U64Ptr(byte **label_ids, ulong *values, int item_count, int group_count, double group_size, double shift, ImPlotBarGroupsFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.UInt64* | values |
System.Int32 | item_count |
System.Int32 | group_count |
System.Double | group_size |
System.Double | shift |
ImPlotBarGroupsFlags | flags |

#### ImPlot_PlotBarGroups_U8Ptr(Byte**, Byte*, Int32, Int32, Double, Double, ImPlotBarGroupsFlags)

##### Declaration

    public static extern void ImPlot_PlotBarGroups_U8Ptr(byte **label_ids, byte *values, int item_count, int group_count, double group_size, double shift, ImPlotBarGroupsFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Byte* | values |
System.Int32 | item_count |
System.Int32 | group_count |
System.Double | group_size |
System.Double | shift |
ImPlotBarGroupsFlags | flags |

#### ImPlot_PlotBars_doublePtrdoublePtr(Byte*, Double*, Double*, Int32, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_doublePtrdoublePtr(byte *label_id, double *xs, double *ys, int count, double bar_size, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Double | bar_size |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_doublePtrInt(Byte*, Double*, Int32, Double, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_doublePtrInt(byte *label_id, double *values, int count, double bar_size, double shift, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | bar_size |
System.Double | shift |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_FloatPtrFloatPtr(Byte*, Single*, Single*, Int32, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_FloatPtrFloatPtr(byte *label_id, float *xs, float *ys, int count, double bar_size, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Double | bar_size |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_FloatPtrInt(Byte*, Single*, Int32, Double, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_FloatPtrInt(byte *label_id, float *values, int count, double bar_size, double shift, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | bar_size |
System.Double | shift |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_S16PtrInt(Byte*, Int16*, Int32, Double, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_S16PtrInt(byte *label_id, short *values, int count, double bar_size, double shift, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | bar_size |
System.Double | shift |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_S16PtrS16Ptr(Byte*, Int16*, Int16*, Int32, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_S16PtrS16Ptr(byte *label_id, short *xs, short *ys, int count, double bar_size, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Double | bar_size |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_S32PtrInt(Byte*, Int32*, Int32, Double, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_S32PtrInt(byte *label_id, int *values, int count, double bar_size, double shift, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | bar_size |
System.Double | shift |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_S32PtrS32Ptr(Byte*, Int32*, Int32*, Int32, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_S32PtrS32Ptr(byte *label_id, int *xs, int *ys, int count, double bar_size, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Double | bar_size |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_S64PtrInt(Byte*, Int64*, Int32, Double, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_S64PtrInt(byte *label_id, long *values, int count, double bar_size, double shift, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | bar_size |
System.Double | shift |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_S64PtrS64Ptr(Byte*, Int64*, Int64*, Int32, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_S64PtrS64Ptr(byte *label_id, long *xs, long *ys, int count, double bar_size, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Double | bar_size |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_S8PtrInt(Byte*, SByte*, Int32, Double, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_S8PtrInt(byte *label_id, sbyte *values, int count, double bar_size, double shift, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | bar_size |
System.Double | shift |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_S8PtrS8Ptr(Byte*, SByte*, SByte*, Int32, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_S8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, double bar_size, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Double | bar_size |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_U16PtrInt(Byte*, UInt16*, Int32, Double, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_U16PtrInt(byte *label_id, ushort *values, int count, double bar_size, double shift, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | bar_size |
System.Double | shift |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_U16PtrU16Ptr(Byte*, UInt16*, UInt16*, Int32, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_U16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, double bar_size, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Double | bar_size |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_U32PtrInt(Byte*, UInt32*, Int32, Double, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_U32PtrInt(byte *label_id, uint *values, int count, double bar_size, double shift, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | bar_size |
System.Double | shift |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_U32PtrU32Ptr(Byte*, UInt32*, UInt32*, Int32, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_U32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, int count, double bar_size, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Double | bar_size |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_U64PtrInt(Byte*, UInt64*, Int32, Double, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_U64PtrInt(byte *label_id, ulong *values, int count, double bar_size, double shift, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | bar_size |
System.Double | shift |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_U64PtrU64Ptr(Byte*, UInt64*, UInt64*, Int32, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_U64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, double bar_size, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Double | bar_size |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_U8PtrInt(Byte*, Byte*, Int32, Double, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_U8PtrInt(byte *label_id, byte *values, int count, double bar_size, double shift, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | bar_size |
System.Double | shift |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBars_U8PtrU8Ptr(Byte*, Byte*, Byte*, Int32, Double, ImPlotBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotBars_U8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, int count, double bar_size, ImPlotBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Double | bar_size |
ImPlotBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigital_doublePtr(Byte*, Double*, Double*, Int32, ImPlotDigitalFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotDigital_doublePtr(byte *label_id, double *xs, double *ys, int count, ImPlotDigitalFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
ImPlotDigitalFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigital_FloatPtr(Byte*, Single*, Single*, Int32, ImPlotDigitalFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotDigital_FloatPtr(byte *label_id, float *xs, float *ys, int count, ImPlotDigitalFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
ImPlotDigitalFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigital_S16Ptr(Byte*, Int16*, Int16*, Int32, ImPlotDigitalFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotDigital_S16Ptr(byte *label_id, short *xs, short *ys, int count, ImPlotDigitalFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
ImPlotDigitalFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigital_S32Ptr(Byte*, Int32*, Int32*, Int32, ImPlotDigitalFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotDigital_S32Ptr(byte *label_id, int *xs, int *ys, int count, ImPlotDigitalFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
ImPlotDigitalFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigital_S64Ptr(Byte*, Int64*, Int64*, Int32, ImPlotDigitalFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotDigital_S64Ptr(byte *label_id, long *xs, long *ys, int count, ImPlotDigitalFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
ImPlotDigitalFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigital_S8Ptr(Byte*, SByte*, SByte*, Int32, ImPlotDigitalFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotDigital_S8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, ImPlotDigitalFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
ImPlotDigitalFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigital_U16Ptr(Byte*, UInt16*, UInt16*, Int32, ImPlotDigitalFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotDigital_U16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, ImPlotDigitalFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
ImPlotDigitalFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigital_U32Ptr(Byte*, UInt32*, UInt32*, Int32, ImPlotDigitalFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotDigital_U32Ptr(byte *label_id, uint *xs, uint *ys, int count, ImPlotDigitalFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
ImPlotDigitalFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigital_U64Ptr(Byte*, UInt64*, UInt64*, Int32, ImPlotDigitalFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotDigital_U64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, ImPlotDigitalFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
ImPlotDigitalFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigital_U8Ptr(Byte*, Byte*, Byte*, Int32, ImPlotDigitalFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotDigital_U8Ptr(byte *label_id, byte *xs, byte *ys, int count, ImPlotDigitalFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
ImPlotDigitalFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDummy(Byte*, ImPlotDummyFlags)

##### Declaration

    public static extern void ImPlot_PlotDummy(byte *label_id, ImPlotDummyFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
ImPlotDummyFlags | flags |

#### ImPlot_PlotErrorBars_doublePtrdoublePtrdoublePtrdoublePtr(Byte*, Double*, Double*, Double*, Double*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_doublePtrdoublePtrdoublePtrdoublePtr(byte *label_id, double *xs, double *ys, double *neg, double *pos, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Double* | neg |
System.Double* | pos |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_doublePtrdoublePtrdoublePtrInt(Byte*, Double*, Double*, Double*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_doublePtrdoublePtrdoublePtrInt(byte *label_id, double *xs, double *ys, double *err, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Double* | err |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_FloatPtrFloatPtrFloatPtrFloatPtr(Byte*, Single*, Single*, Single*, Single*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_FloatPtrFloatPtrFloatPtrFloatPtr(byte *label_id, float *xs, float *ys, float *neg, float *pos, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Single* | neg |
System.Single* | pos |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_FloatPtrFloatPtrFloatPtrInt(Byte*, Single*, Single*, Single*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_FloatPtrFloatPtrFloatPtrInt(byte *label_id, float *xs, float *ys, float *err, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Single* | err |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_S16PtrS16PtrS16PtrInt(Byte*, Int16*, Int16*, Int16*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_S16PtrS16PtrS16PtrInt(byte *label_id, short *xs, short *ys, short *err, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int16* | err |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_S16PtrS16PtrS16PtrS16Ptr(Byte*, Int16*, Int16*, Int16*, Int16*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_S16PtrS16PtrS16PtrS16Ptr(byte *label_id, short *xs, short *ys, short *neg, short *pos, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int16* | neg |
System.Int16* | pos |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_S32PtrS32PtrS32PtrInt(Byte*, Int32*, Int32*, Int32*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_S32PtrS32PtrS32PtrInt(byte *label_id, int *xs, int *ys, int *err, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32* | err |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_S32PtrS32PtrS32PtrS32Ptr(Byte*, Int32*, Int32*, Int32*, Int32*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_S32PtrS32PtrS32PtrS32Ptr(byte *label_id, int *xs, int *ys, int *neg, int *pos, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32* | neg |
System.Int32* | pos |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_S64PtrS64PtrS64PtrInt(Byte*, Int64*, Int64*, Int64*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_S64PtrS64PtrS64PtrInt(byte *label_id, long *xs, long *ys, long *err, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int64* | err |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_S64PtrS64PtrS64PtrS64Ptr(Byte*, Int64*, Int64*, Int64*, Int64*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_S64PtrS64PtrS64PtrS64Ptr(byte *label_id, long *xs, long *ys, long *neg, long *pos, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int64* | neg |
System.Int64* | pos |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_S8PtrS8PtrS8PtrInt(Byte*, SByte*, SByte*, SByte*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_S8PtrS8PtrS8PtrInt(byte *label_id, sbyte *xs, sbyte *ys, sbyte *err, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.SByte* | err |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_S8PtrS8PtrS8PtrS8Ptr(Byte*, SByte*, SByte*, SByte*, SByte*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_S8PtrS8PtrS8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, sbyte *neg, sbyte *pos, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.SByte* | neg |
System.SByte* | pos |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_U16PtrU16PtrU16PtrInt(Byte*, UInt16*, UInt16*, UInt16*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_U16PtrU16PtrU16PtrInt(byte *label_id, ushort *xs, ushort *ys, ushort *err, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.UInt16* | err |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_U16PtrU16PtrU16PtrU16Ptr(Byte*, UInt16*, UInt16*, UInt16*, UInt16*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_U16PtrU16PtrU16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, ushort *neg, ushort *pos, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.UInt16* | neg |
System.UInt16* | pos |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_U32PtrU32PtrU32PtrInt(Byte*, UInt32*, UInt32*, UInt32*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_U32PtrU32PtrU32PtrInt(byte *label_id, uint *xs, uint *ys, uint *err, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.UInt32* | err |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_U32PtrU32PtrU32PtrU32Ptr(Byte*, UInt32*, UInt32*, UInt32*, UInt32*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_U32PtrU32PtrU32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, uint *neg, uint *pos, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.UInt32* | neg |
System.UInt32* | pos |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_U64PtrU64PtrU64PtrInt(Byte*, UInt64*, UInt64*, UInt64*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_U64PtrU64PtrU64PtrInt(byte *label_id, ulong *xs, ulong *ys, ulong *err, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.UInt64* | err |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_U64PtrU64PtrU64PtrU64Ptr(Byte*, UInt64*, UInt64*, UInt64*, UInt64*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_U64PtrU64PtrU64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, ulong *neg, ulong *pos, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.UInt64* | neg |
System.UInt64* | pos |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_U8PtrU8PtrU8PtrInt(Byte*, Byte*, Byte*, Byte*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_U8PtrU8PtrU8PtrInt(byte *label_id, byte *xs, byte *ys, byte *err, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Byte* | err |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBars_U8PtrU8PtrU8PtrU8Ptr(Byte*, Byte*, Byte*, Byte*, Byte*, Int32, ImPlotErrorBarsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotErrorBars_U8PtrU8PtrU8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, byte *neg, byte *pos, int count, ImPlotErrorBarsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Byte* | neg |
System.Byte* | pos |
System.Int32 | count |
ImPlotErrorBarsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotHeatmap_doublePtr(Byte*, Double*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint, ImPlotHeatmapFlags)

##### Declaration

    public static extern void ImPlot_PlotHeatmap_doublePtr(byte *label_id, double *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max, ImPlotHeatmapFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
ImPlotHeatmapFlags | flags |

#### ImPlot_PlotHeatmap_FloatPtr(Byte*, Single*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint, ImPlotHeatmapFlags)

##### Declaration

    public static extern void ImPlot_PlotHeatmap_FloatPtr(byte *label_id, float *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max, ImPlotHeatmapFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
ImPlotHeatmapFlags | flags |

#### ImPlot_PlotHeatmap_S16Ptr(Byte*, Int16*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint, ImPlotHeatmapFlags)

##### Declaration

    public static extern void ImPlot_PlotHeatmap_S16Ptr(byte *label_id, short *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max, ImPlotHeatmapFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
ImPlotHeatmapFlags | flags |

#### ImPlot_PlotHeatmap_S32Ptr(Byte*, Int32*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint, ImPlotHeatmapFlags)

##### Declaration

    public static extern void ImPlot_PlotHeatmap_S32Ptr(byte *label_id, int *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max, ImPlotHeatmapFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
ImPlotHeatmapFlags | flags |

#### ImPlot_PlotHeatmap_S64Ptr(Byte*, Int64*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint, ImPlotHeatmapFlags)

##### Declaration

    public static extern void ImPlot_PlotHeatmap_S64Ptr(byte *label_id, long *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max, ImPlotHeatmapFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
ImPlotHeatmapFlags | flags |

#### ImPlot_PlotHeatmap_S8Ptr(Byte*, SByte*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint, ImPlotHeatmapFlags)

##### Declaration

    public static extern void ImPlot_PlotHeatmap_S8Ptr(byte *label_id, sbyte *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max, ImPlotHeatmapFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
ImPlotHeatmapFlags | flags |

#### ImPlot_PlotHeatmap_U16Ptr(Byte*, UInt16*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint, ImPlotHeatmapFlags)

##### Declaration

    public static extern void ImPlot_PlotHeatmap_U16Ptr(byte *label_id, ushort *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max, ImPlotHeatmapFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
ImPlotHeatmapFlags | flags |

#### ImPlot_PlotHeatmap_U32Ptr(Byte*, UInt32*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint, ImPlotHeatmapFlags)

##### Declaration

    public static extern void ImPlot_PlotHeatmap_U32Ptr(byte *label_id, uint *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max, ImPlotHeatmapFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
ImPlotHeatmapFlags | flags |

#### ImPlot_PlotHeatmap_U64Ptr(Byte*, UInt64*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint, ImPlotHeatmapFlags)

##### Declaration

    public static extern void ImPlot_PlotHeatmap_U64Ptr(byte *label_id, ulong *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max, ImPlotHeatmapFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
ImPlotHeatmapFlags | flags |

#### ImPlot_PlotHeatmap_U8Ptr(Byte*, Byte*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint, ImPlotHeatmapFlags)

##### Declaration

    public static extern void ImPlot_PlotHeatmap_U8Ptr(byte *label_id, byte *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max, ImPlotHeatmapFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
ImPlotHeatmapFlags | flags |

#### ImPlot_PlotHistogram_doublePtr(Byte*, Double*, Int32, Int32, Double, ImPlotRange, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram_doublePtr(byte *label_id, double *values, int count, int bins, double bar_scale, ImPlotRange range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Int32 | bins |
System.Double | bar_scale |
ImPlotRange | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram_FloatPtr(Byte*, Single*, Int32, Int32, Double, ImPlotRange, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram_FloatPtr(byte *label_id, float *values, int count, int bins, double bar_scale, ImPlotRange range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Int32 | bins |
System.Double | bar_scale |
ImPlotRange | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram_S16Ptr(Byte*, Int16*, Int32, Int32, Double, ImPlotRange, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram_S16Ptr(byte *label_id, short *values, int count, int bins, double bar_scale, ImPlotRange range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Int32 | bins |
System.Double | bar_scale |
ImPlotRange | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram_S32Ptr(Byte*, Int32*, Int32, Int32, Double, ImPlotRange, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram_S32Ptr(byte *label_id, int *values, int count, int bins, double bar_scale, ImPlotRange range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Int32 | bins |
System.Double | bar_scale |
ImPlotRange | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram_S64Ptr(Byte*, Int64*, Int32, Int32, Double, ImPlotRange, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram_S64Ptr(byte *label_id, long *values, int count, int bins, double bar_scale, ImPlotRange range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Int32 | bins |
System.Double | bar_scale |
ImPlotRange | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram_S8Ptr(Byte*, SByte*, Int32, Int32, Double, ImPlotRange, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram_S8Ptr(byte *label_id, sbyte *values, int count, int bins, double bar_scale, ImPlotRange range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Int32 | bins |
System.Double | bar_scale |
ImPlotRange | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram_U16Ptr(Byte*, UInt16*, Int32, Int32, Double, ImPlotRange, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram_U16Ptr(byte *label_id, ushort *values, int count, int bins, double bar_scale, ImPlotRange range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Int32 | bins |
System.Double | bar_scale |
ImPlotRange | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram_U32Ptr(Byte*, UInt32*, Int32, Int32, Double, ImPlotRange, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram_U32Ptr(byte *label_id, uint *values, int count, int bins, double bar_scale, ImPlotRange range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Int32 | bins |
System.Double | bar_scale |
ImPlotRange | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram_U64Ptr(Byte*, UInt64*, Int32, Int32, Double, ImPlotRange, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram_U64Ptr(byte *label_id, ulong *values, int count, int bins, double bar_scale, ImPlotRange range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Int32 | bins |
System.Double | bar_scale |
ImPlotRange | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram_U8Ptr(Byte*, Byte*, Int32, Int32, Double, ImPlotRange, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram_U8Ptr(byte *label_id, byte *values, int count, int bins, double bar_scale, ImPlotRange range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Int32 | bins |
System.Double | bar_scale |
ImPlotRange | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram2D_doublePtr(Byte*, Double*, Double*, Int32, Int32, Int32, ImPlotRect, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram2D_doublePtr(byte *label_id, double *xs, double *ys, int count, int x_bins, int y_bins, ImPlotRect range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Int32 | x_bins |
System.Int32 | y_bins |
ImPlotRect | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram2D_FloatPtr(Byte*, Single*, Single*, Int32, Int32, Int32, ImPlotRect, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram2D_FloatPtr(byte *label_id, float *xs, float *ys, int count, int x_bins, int y_bins, ImPlotRect range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Int32 | x_bins |
System.Int32 | y_bins |
ImPlotRect | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram2D_S16Ptr(Byte*, Int16*, Int16*, Int32, Int32, Int32, ImPlotRect, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram2D_S16Ptr(byte *label_id, short *xs, short *ys, int count, int x_bins, int y_bins, ImPlotRect range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Int32 | x_bins |
System.Int32 | y_bins |
ImPlotRect | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram2D_S32Ptr(Byte*, Int32*, Int32*, Int32, Int32, Int32, ImPlotRect, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram2D_S32Ptr(byte *label_id, int *xs, int *ys, int count, int x_bins, int y_bins, ImPlotRect range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Int32 | x_bins |
System.Int32 | y_bins |
ImPlotRect | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram2D_S64Ptr(Byte*, Int64*, Int64*, Int32, Int32, Int32, ImPlotRect, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram2D_S64Ptr(byte *label_id, long *xs, long *ys, int count, int x_bins, int y_bins, ImPlotRect range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Int32 | x_bins |
System.Int32 | y_bins |
ImPlotRect | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram2D_S8Ptr(Byte*, SByte*, SByte*, Int32, Int32, Int32, ImPlotRect, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram2D_S8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, int x_bins, int y_bins, ImPlotRect range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Int32 | x_bins |
System.Int32 | y_bins |
ImPlotRect | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram2D_U16Ptr(Byte*, UInt16*, UInt16*, Int32, Int32, Int32, ImPlotRect, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram2D_U16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, int x_bins, int y_bins, ImPlotRect range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Int32 | x_bins |
System.Int32 | y_bins |
ImPlotRect | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram2D_U32Ptr(Byte*, UInt32*, UInt32*, Int32, Int32, Int32, ImPlotRect, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram2D_U32Ptr(byte *label_id, uint *xs, uint *ys, int count, int x_bins, int y_bins, ImPlotRect range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Int32 | x_bins |
System.Int32 | y_bins |
ImPlotRect | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram2D_U64Ptr(Byte*, UInt64*, UInt64*, Int32, Int32, Int32, ImPlotRect, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram2D_U64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, int x_bins, int y_bins, ImPlotRect range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Int32 | x_bins |
System.Int32 | y_bins |
ImPlotRect | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotHistogram2D_U8Ptr(Byte*, Byte*, Byte*, Int32, Int32, Int32, ImPlotRect, ImPlotHistogramFlags)

##### Declaration

    public static extern double ImPlot_PlotHistogram2D_U8Ptr(byte *label_id, byte *xs, byte *ys, int count, int x_bins, int y_bins, ImPlotRect range, ImPlotHistogramFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Int32 | x_bins |
System.Int32 | y_bins |
ImPlotRect | range |
ImPlotHistogramFlags | flags |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlot_PlotImage(Byte*, IntPtr, ImPlotPoint, ImPlotPoint, Vector2, Vector2, Vector4, ImPlotImageFlags)

##### Declaration

    public static extern void ImPlot_PlotImage(byte *label_id, IntPtr user_texture_id, ImPlotPoint bounds_min, ImPlotPoint bounds_max, Vector2 uv0, Vector2 uv1, Vector4 tint_col, ImPlotImageFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.IntPtr | user_texture_id |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
System.Numerics.Vector2 | uv0 |
System.Numerics.Vector2 | uv1 |
System.Numerics.Vector4 | tint_col |
ImPlotImageFlags | flags |

#### ImPlot_PlotInfLines_doublePtr(Byte*, Double*, Int32, ImPlotInfLinesFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotInfLines_doublePtr(byte *label_id, double *values, int count, ImPlotInfLinesFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
ImPlotInfLinesFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotInfLines_FloatPtr(Byte*, Single*, Int32, ImPlotInfLinesFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotInfLines_FloatPtr(byte *label_id, float *values, int count, ImPlotInfLinesFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
ImPlotInfLinesFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotInfLines_S16Ptr(Byte*, Int16*, Int32, ImPlotInfLinesFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotInfLines_S16Ptr(byte *label_id, short *values, int count, ImPlotInfLinesFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
ImPlotInfLinesFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotInfLines_S32Ptr(Byte*, Int32*, Int32, ImPlotInfLinesFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotInfLines_S32Ptr(byte *label_id, int *values, int count, ImPlotInfLinesFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
ImPlotInfLinesFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotInfLines_S64Ptr(Byte*, Int64*, Int32, ImPlotInfLinesFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotInfLines_S64Ptr(byte *label_id, long *values, int count, ImPlotInfLinesFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
ImPlotInfLinesFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotInfLines_S8Ptr(Byte*, SByte*, Int32, ImPlotInfLinesFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotInfLines_S8Ptr(byte *label_id, sbyte *values, int count, ImPlotInfLinesFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
ImPlotInfLinesFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotInfLines_U16Ptr(Byte*, UInt16*, Int32, ImPlotInfLinesFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotInfLines_U16Ptr(byte *label_id, ushort *values, int count, ImPlotInfLinesFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
ImPlotInfLinesFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotInfLines_U32Ptr(Byte*, UInt32*, Int32, ImPlotInfLinesFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotInfLines_U32Ptr(byte *label_id, uint *values, int count, ImPlotInfLinesFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
ImPlotInfLinesFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotInfLines_U64Ptr(Byte*, UInt64*, Int32, ImPlotInfLinesFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotInfLines_U64Ptr(byte *label_id, ulong *values, int count, ImPlotInfLinesFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
ImPlotInfLinesFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotInfLines_U8Ptr(Byte*, Byte*, Int32, ImPlotInfLinesFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotInfLines_U8Ptr(byte *label_id, byte *values, int count, ImPlotInfLinesFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
ImPlotInfLinesFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_doublePtrdoublePtr(Byte*, Double*, Double*, Int32, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_doublePtrdoublePtr(byte *label_id, double *xs, double *ys, int count, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_doublePtrInt(Byte*, Double*, Int32, Double, Double, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_doublePtrInt(byte *label_id, double *values, int count, double xscale, double xstart, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_FloatPtrFloatPtr(Byte*, Single*, Single*, Int32, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_FloatPtrFloatPtr(byte *label_id, float *xs, float *ys, int count, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_FloatPtrInt(Byte*, Single*, Int32, Double, Double, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_FloatPtrInt(byte *label_id, float *values, int count, double xscale, double xstart, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_S16PtrInt(Byte*, Int16*, Int32, Double, Double, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_S16PtrInt(byte *label_id, short *values, int count, double xscale, double xstart, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_S16PtrS16Ptr(Byte*, Int16*, Int16*, Int32, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_S16PtrS16Ptr(byte *label_id, short *xs, short *ys, int count, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_S32PtrInt(Byte*, Int32*, Int32, Double, Double, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_S32PtrInt(byte *label_id, int *values, int count, double xscale, double xstart, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_S32PtrS32Ptr(Byte*, Int32*, Int32*, Int32, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_S32PtrS32Ptr(byte *label_id, int *xs, int *ys, int count, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_S64PtrInt(Byte*, Int64*, Int32, Double, Double, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_S64PtrInt(byte *label_id, long *values, int count, double xscale, double xstart, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_S64PtrS64Ptr(Byte*, Int64*, Int64*, Int32, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_S64PtrS64Ptr(byte *label_id, long *xs, long *ys, int count, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_S8PtrInt(Byte*, SByte*, Int32, Double, Double, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_S8PtrInt(byte *label_id, sbyte *values, int count, double xscale, double xstart, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_S8PtrS8Ptr(Byte*, SByte*, SByte*, Int32, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_S8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_U16PtrInt(Byte*, UInt16*, Int32, Double, Double, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_U16PtrInt(byte *label_id, ushort *values, int count, double xscale, double xstart, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_U16PtrU16Ptr(Byte*, UInt16*, UInt16*, Int32, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_U16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_U32PtrInt(Byte*, UInt32*, Int32, Double, Double, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_U32PtrInt(byte *label_id, uint *values, int count, double xscale, double xstart, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_U32PtrU32Ptr(Byte*, UInt32*, UInt32*, Int32, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_U32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, int count, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_U64PtrInt(Byte*, UInt64*, Int32, Double, Double, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_U64PtrInt(byte *label_id, ulong *values, int count, double xscale, double xstart, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_U64PtrU64Ptr(Byte*, UInt64*, UInt64*, Int32, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_U64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_U8PtrInt(Byte*, Byte*, Int32, Double, Double, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_U8PtrInt(byte *label_id, byte *values, int count, double xscale, double xstart, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLine_U8PtrU8Ptr(Byte*, Byte*, Byte*, Int32, ImPlotLineFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotLine_U8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, int count, ImPlotLineFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
ImPlotLineFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotPieChart_doublePtr(Byte**, Double*, Int32, Double, Double, Double, Byte*, Double, ImPlotPieChartFlags)

##### Declaration

    public static extern void ImPlot_PlotPieChart_doublePtr(byte **label_ids, double *values, int count, double x, double y, double radius, byte *label_fmt, double angle0, ImPlotPieChartFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Double* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte* | label_fmt |
System.Double | angle0 |
ImPlotPieChartFlags | flags |

#### ImPlot_PlotPieChart_FloatPtr(Byte**, Single*, Int32, Double, Double, Double, Byte*, Double, ImPlotPieChartFlags)

##### Declaration

    public static extern void ImPlot_PlotPieChart_FloatPtr(byte **label_ids, float *values, int count, double x, double y, double radius, byte *label_fmt, double angle0, ImPlotPieChartFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Single* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte* | label_fmt |
System.Double | angle0 |
ImPlotPieChartFlags | flags |

#### ImPlot_PlotPieChart_S16Ptr(Byte**, Int16*, Int32, Double, Double, Double, Byte*, Double, ImPlotPieChartFlags)

##### Declaration

    public static extern void ImPlot_PlotPieChart_S16Ptr(byte **label_ids, short *values, int count, double x, double y, double radius, byte *label_fmt, double angle0, ImPlotPieChartFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Int16* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte* | label_fmt |
System.Double | angle0 |
ImPlotPieChartFlags | flags |

#### ImPlot_PlotPieChart_S32Ptr(Byte**, Int32*, Int32, Double, Double, Double, Byte*, Double, ImPlotPieChartFlags)

##### Declaration

    public static extern void ImPlot_PlotPieChart_S32Ptr(byte **label_ids, int *values, int count, double x, double y, double radius, byte *label_fmt, double angle0, ImPlotPieChartFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Int32* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte* | label_fmt |
System.Double | angle0 |
ImPlotPieChartFlags | flags |

#### ImPlot_PlotPieChart_S64Ptr(Byte**, Int64*, Int32, Double, Double, Double, Byte*, Double, ImPlotPieChartFlags)

##### Declaration

    public static extern void ImPlot_PlotPieChart_S64Ptr(byte **label_ids, long *values, int count, double x, double y, double radius, byte *label_fmt, double angle0, ImPlotPieChartFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Int64* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte* | label_fmt |
System.Double | angle0 |
ImPlotPieChartFlags | flags |

#### ImPlot_PlotPieChart_S8Ptr(Byte**, SByte*, Int32, Double, Double, Double, Byte*, Double, ImPlotPieChartFlags)

##### Declaration

    public static extern void ImPlot_PlotPieChart_S8Ptr(byte **label_ids, sbyte *values, int count, double x, double y, double radius, byte *label_fmt, double angle0, ImPlotPieChartFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.SByte* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte* | label_fmt |
System.Double | angle0 |
ImPlotPieChartFlags | flags |

#### ImPlot_PlotPieChart_U16Ptr(Byte**, UInt16*, Int32, Double, Double, Double, Byte*, Double, ImPlotPieChartFlags)

##### Declaration

    public static extern void ImPlot_PlotPieChart_U16Ptr(byte **label_ids, ushort *values, int count, double x, double y, double radius, byte *label_fmt, double angle0, ImPlotPieChartFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.UInt16* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte* | label_fmt |
System.Double | angle0 |
ImPlotPieChartFlags | flags |

#### ImPlot_PlotPieChart_U32Ptr(Byte**, UInt32*, Int32, Double, Double, Double, Byte*, Double, ImPlotPieChartFlags)

##### Declaration

    public static extern void ImPlot_PlotPieChart_U32Ptr(byte **label_ids, uint *values, int count, double x, double y, double radius, byte *label_fmt, double angle0, ImPlotPieChartFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.UInt32* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte* | label_fmt |
System.Double | angle0 |
ImPlotPieChartFlags | flags |

#### ImPlot_PlotPieChart_U64Ptr(Byte**, UInt64*, Int32, Double, Double, Double, Byte*, Double, ImPlotPieChartFlags)

##### Declaration

    public static extern void ImPlot_PlotPieChart_U64Ptr(byte **label_ids, ulong *values, int count, double x, double y, double radius, byte *label_fmt, double angle0, ImPlotPieChartFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.UInt64* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte* | label_fmt |
System.Double | angle0 |
ImPlotPieChartFlags | flags |

#### ImPlot_PlotPieChart_U8Ptr(Byte**, Byte*, Int32, Double, Double, Double, Byte*, Double, ImPlotPieChartFlags)

##### Declaration

    public static extern void ImPlot_PlotPieChart_U8Ptr(byte **label_ids, byte *values, int count, double x, double y, double radius, byte *label_fmt, double angle0, ImPlotPieChartFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Byte* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte* | label_fmt |
System.Double | angle0 |
ImPlotPieChartFlags | flags |

#### ImPlot_PlotScatter_doublePtrdoublePtr(Byte*, Double*, Double*, Int32, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_doublePtrdoublePtr(byte *label_id, double *xs, double *ys, int count, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_doublePtrInt(Byte*, Double*, Int32, Double, Double, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_doublePtrInt(byte *label_id, double *values, int count, double xscale, double xstart, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_FloatPtrFloatPtr(Byte*, Single*, Single*, Int32, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_FloatPtrFloatPtr(byte *label_id, float *xs, float *ys, int count, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_FloatPtrInt(Byte*, Single*, Int32, Double, Double, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_FloatPtrInt(byte *label_id, float *values, int count, double xscale, double xstart, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_S16PtrInt(Byte*, Int16*, Int32, Double, Double, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_S16PtrInt(byte *label_id, short *values, int count, double xscale, double xstart, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_S16PtrS16Ptr(Byte*, Int16*, Int16*, Int32, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_S16PtrS16Ptr(byte *label_id, short *xs, short *ys, int count, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_S32PtrInt(Byte*, Int32*, Int32, Double, Double, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_S32PtrInt(byte *label_id, int *values, int count, double xscale, double xstart, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_S32PtrS32Ptr(Byte*, Int32*, Int32*, Int32, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_S32PtrS32Ptr(byte *label_id, int *xs, int *ys, int count, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_S64PtrInt(Byte*, Int64*, Int32, Double, Double, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_S64PtrInt(byte *label_id, long *values, int count, double xscale, double xstart, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_S64PtrS64Ptr(Byte*, Int64*, Int64*, Int32, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_S64PtrS64Ptr(byte *label_id, long *xs, long *ys, int count, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_S8PtrInt(Byte*, SByte*, Int32, Double, Double, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_S8PtrInt(byte *label_id, sbyte *values, int count, double xscale, double xstart, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_S8PtrS8Ptr(Byte*, SByte*, SByte*, Int32, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_S8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_U16PtrInt(Byte*, UInt16*, Int32, Double, Double, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_U16PtrInt(byte *label_id, ushort *values, int count, double xscale, double xstart, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_U16PtrU16Ptr(Byte*, UInt16*, UInt16*, Int32, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_U16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_U32PtrInt(Byte*, UInt32*, Int32, Double, Double, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_U32PtrInt(byte *label_id, uint *values, int count, double xscale, double xstart, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_U32PtrU32Ptr(Byte*, UInt32*, UInt32*, Int32, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_U32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, int count, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_U64PtrInt(Byte*, UInt64*, Int32, Double, Double, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_U64PtrInt(byte *label_id, ulong *values, int count, double xscale, double xstart, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_U64PtrU64Ptr(Byte*, UInt64*, UInt64*, Int32, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_U64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_U8PtrInt(Byte*, Byte*, Int32, Double, Double, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_U8PtrInt(byte *label_id, byte *values, int count, double xscale, double xstart, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatter_U8PtrU8Ptr(Byte*, Byte*, Byte*, Int32, ImPlotScatterFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotScatter_U8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, int count, ImPlotScatterFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
ImPlotScatterFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_doublePtrdoublePtrdoublePtr(Byte*, Double*, Double*, Double*, Int32, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_doublePtrdoublePtrdoublePtr(byte *label_id, double *xs, double *ys1, double *ys2, int count, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys1 |
System.Double* | ys2 |
System.Int32 | count |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_doublePtrdoublePtrInt(Byte*, Double*, Double*, Int32, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_doublePtrdoublePtrInt(byte *label_id, double *xs, double *ys, int count, double yref, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Double | yref |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_doublePtrInt(Byte*, Double*, Int32, Double, Double, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_doublePtrInt(byte *label_id, double *values, int count, double yref, double xscale, double xstart, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | yref |
System.Double | xscale |
System.Double | xstart |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_FloatPtrFloatPtrFloatPtr(Byte*, Single*, Single*, Single*, Int32, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_FloatPtrFloatPtrFloatPtr(byte *label_id, float *xs, float *ys1, float *ys2, int count, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys1 |
System.Single* | ys2 |
System.Int32 | count |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_FloatPtrFloatPtrInt(Byte*, Single*, Single*, Int32, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_FloatPtrFloatPtrInt(byte *label_id, float *xs, float *ys, int count, double yref, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Double | yref |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_FloatPtrInt(Byte*, Single*, Int32, Double, Double, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_FloatPtrInt(byte *label_id, float *values, int count, double yref, double xscale, double xstart, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | yref |
System.Double | xscale |
System.Double | xstart |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S16PtrInt(Byte*, Int16*, Int32, Double, Double, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S16PtrInt(byte *label_id, short *values, int count, double yref, double xscale, double xstart, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | yref |
System.Double | xscale |
System.Double | xstart |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S16PtrS16PtrInt(Byte*, Int16*, Int16*, Int32, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S16PtrS16PtrInt(byte *label_id, short *xs, short *ys, int count, double yref, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Double | yref |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S16PtrS16PtrS16Ptr(Byte*, Int16*, Int16*, Int16*, Int32, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S16PtrS16PtrS16Ptr(byte *label_id, short *xs, short *ys1, short *ys2, int count, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys1 |
System.Int16* | ys2 |
System.Int32 | count |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S32PtrInt(Byte*, Int32*, Int32, Double, Double, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S32PtrInt(byte *label_id, int *values, int count, double yref, double xscale, double xstart, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | yref |
System.Double | xscale |
System.Double | xstart |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S32PtrS32PtrInt(Byte*, Int32*, Int32*, Int32, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S32PtrS32PtrInt(byte *label_id, int *xs, int *ys, int count, double yref, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Double | yref |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S32PtrS32PtrS32Ptr(Byte*, Int32*, Int32*, Int32*, Int32, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S32PtrS32PtrS32Ptr(byte *label_id, int *xs, int *ys1, int *ys2, int count, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys1 |
System.Int32* | ys2 |
System.Int32 | count |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S64PtrInt(Byte*, Int64*, Int32, Double, Double, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S64PtrInt(byte *label_id, long *values, int count, double yref, double xscale, double xstart, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | yref |
System.Double | xscale |
System.Double | xstart |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S64PtrS64PtrInt(Byte*, Int64*, Int64*, Int32, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S64PtrS64PtrInt(byte *label_id, long *xs, long *ys, int count, double yref, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Double | yref |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S64PtrS64PtrS64Ptr(Byte*, Int64*, Int64*, Int64*, Int32, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S64PtrS64PtrS64Ptr(byte *label_id, long *xs, long *ys1, long *ys2, int count, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys1 |
System.Int64* | ys2 |
System.Int32 | count |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S8PtrInt(Byte*, SByte*, Int32, Double, Double, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S8PtrInt(byte *label_id, sbyte *values, int count, double yref, double xscale, double xstart, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | yref |
System.Double | xscale |
System.Double | xstart |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S8PtrS8PtrInt(Byte*, SByte*, SByte*, Int32, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S8PtrS8PtrInt(byte *label_id, sbyte *xs, sbyte *ys, int count, double yref, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Double | yref |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_S8PtrS8PtrS8Ptr(Byte*, SByte*, SByte*, SByte*, Int32, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_S8PtrS8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys1, sbyte *ys2, int count, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys1 |
System.SByte* | ys2 |
System.Int32 | count |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U16PtrInt(Byte*, UInt16*, Int32, Double, Double, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U16PtrInt(byte *label_id, ushort *values, int count, double yref, double xscale, double xstart, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | yref |
System.Double | xscale |
System.Double | xstart |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U16PtrU16PtrInt(Byte*, UInt16*, UInt16*, Int32, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U16PtrU16PtrInt(byte *label_id, ushort *xs, ushort *ys, int count, double yref, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Double | yref |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U16PtrU16PtrU16Ptr(Byte*, UInt16*, UInt16*, UInt16*, Int32, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U16PtrU16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys1, ushort *ys2, int count, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys1 |
System.UInt16* | ys2 |
System.Int32 | count |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U32PtrInt(Byte*, UInt32*, Int32, Double, Double, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U32PtrInt(byte *label_id, uint *values, int count, double yref, double xscale, double xstart, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | yref |
System.Double | xscale |
System.Double | xstart |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U32PtrU32PtrInt(Byte*, UInt32*, UInt32*, Int32, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U32PtrU32PtrInt(byte *label_id, uint *xs, uint *ys, int count, double yref, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Double | yref |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U32PtrU32PtrU32Ptr(Byte*, UInt32*, UInt32*, UInt32*, Int32, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U32PtrU32PtrU32Ptr(byte *label_id, uint *xs, uint *ys1, uint *ys2, int count, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys1 |
System.UInt32* | ys2 |
System.Int32 | count |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U64PtrInt(Byte*, UInt64*, Int32, Double, Double, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U64PtrInt(byte *label_id, ulong *values, int count, double yref, double xscale, double xstart, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | yref |
System.Double | xscale |
System.Double | xstart |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U64PtrU64PtrInt(Byte*, UInt64*, UInt64*, Int32, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U64PtrU64PtrInt(byte *label_id, ulong *xs, ulong *ys, int count, double yref, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Double | yref |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U64PtrU64PtrU64Ptr(Byte*, UInt64*, UInt64*, UInt64*, Int32, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U64PtrU64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys1, ulong *ys2, int count, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys1 |
System.UInt64* | ys2 |
System.Int32 | count |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U8PtrInt(Byte*, Byte*, Int32, Double, Double, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U8PtrInt(byte *label_id, byte *values, int count, double yref, double xscale, double xstart, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | yref |
System.Double | xscale |
System.Double | xstart |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U8PtrU8PtrInt(Byte*, Byte*, Byte*, Int32, Double, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U8PtrU8PtrInt(byte *label_id, byte *xs, byte *ys, int count, double yref, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Double | yref |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShaded_U8PtrU8PtrU8Ptr(Byte*, Byte*, Byte*, Byte*, Int32, ImPlotShadedFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotShaded_U8PtrU8PtrU8Ptr(byte *label_id, byte *xs, byte *ys1, byte *ys2, int count, ImPlotShadedFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys1 |
System.Byte* | ys2 |
System.Int32 | count |
ImPlotShadedFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_doublePtrdoublePtr(Byte*, Double*, Double*, Int32, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_doublePtrdoublePtr(byte *label_id, double *xs, double *ys, int count, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_doublePtrInt(Byte*, Double*, Int32, Double, Double, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_doublePtrInt(byte *label_id, double *values, int count, double xscale, double xstart, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_FloatPtrFloatPtr(Byte*, Single*, Single*, Int32, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_FloatPtrFloatPtr(byte *label_id, float *xs, float *ys, int count, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_FloatPtrInt(Byte*, Single*, Int32, Double, Double, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_FloatPtrInt(byte *label_id, float *values, int count, double xscale, double xstart, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_S16PtrInt(Byte*, Int16*, Int32, Double, Double, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_S16PtrInt(byte *label_id, short *values, int count, double xscale, double xstart, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_S16PtrS16Ptr(Byte*, Int16*, Int16*, Int32, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_S16PtrS16Ptr(byte *label_id, short *xs, short *ys, int count, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_S32PtrInt(Byte*, Int32*, Int32, Double, Double, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_S32PtrInt(byte *label_id, int *values, int count, double xscale, double xstart, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_S32PtrS32Ptr(Byte*, Int32*, Int32*, Int32, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_S32PtrS32Ptr(byte *label_id, int *xs, int *ys, int count, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_S64PtrInt(Byte*, Int64*, Int32, Double, Double, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_S64PtrInt(byte *label_id, long *values, int count, double xscale, double xstart, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_S64PtrS64Ptr(Byte*, Int64*, Int64*, Int32, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_S64PtrS64Ptr(byte *label_id, long *xs, long *ys, int count, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_S8PtrInt(Byte*, SByte*, Int32, Double, Double, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_S8PtrInt(byte *label_id, sbyte *values, int count, double xscale, double xstart, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_S8PtrS8Ptr(Byte*, SByte*, SByte*, Int32, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_S8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_U16PtrInt(Byte*, UInt16*, Int32, Double, Double, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_U16PtrInt(byte *label_id, ushort *values, int count, double xscale, double xstart, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_U16PtrU16Ptr(Byte*, UInt16*, UInt16*, Int32, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_U16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_U32PtrInt(Byte*, UInt32*, Int32, Double, Double, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_U32PtrInt(byte *label_id, uint *values, int count, double xscale, double xstart, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_U32PtrU32Ptr(Byte*, UInt32*, UInt32*, Int32, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_U32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, int count, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_U64PtrInt(Byte*, UInt64*, Int32, Double, Double, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_U64PtrInt(byte *label_id, ulong *values, int count, double xscale, double xstart, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_U64PtrU64Ptr(Byte*, UInt64*, UInt64*, Int32, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_U64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_U8PtrInt(Byte*, Byte*, Int32, Double, Double, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_U8PtrInt(byte *label_id, byte *values, int count, double xscale, double xstart, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | xstart |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairs_U8PtrU8Ptr(Byte*, Byte*, Byte*, Int32, ImPlotStairsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStairs_U8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, int count, ImPlotStairsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
ImPlotStairsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_doublePtrdoublePtr(Byte*, Double*, Double*, Int32, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_doublePtrdoublePtr(byte *label_id, double *xs, double *ys, int count, double ref, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Double | ref |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_doublePtrInt(Byte*, Double*, Int32, Double, Double, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_doublePtrInt(byte *label_id, double *values, int count, double ref, double scale, double start, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | ref |
System.Double | scale |
System.Double | start |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_FloatPtrFloatPtr(Byte*, Single*, Single*, Int32, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_FloatPtrFloatPtr(byte *label_id, float *xs, float *ys, int count, double ref, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Double | ref |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_FloatPtrInt(Byte*, Single*, Int32, Double, Double, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_FloatPtrInt(byte *label_id, float *values, int count, double ref, double scale, double start, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | ref |
System.Double | scale |
System.Double | start |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_S16PtrInt(Byte*, Int16*, Int32, Double, Double, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_S16PtrInt(byte *label_id, short *values, int count, double ref, double scale, double start, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | ref |
System.Double | scale |
System.Double | start |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_S16PtrS16Ptr(Byte*, Int16*, Int16*, Int32, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_S16PtrS16Ptr(byte *label_id, short *xs, short *ys, int count, double ref, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Double | ref |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_S32PtrInt(Byte*, Int32*, Int32, Double, Double, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_S32PtrInt(byte *label_id, int *values, int count, double ref, double scale, double start, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | ref |
System.Double | scale |
System.Double | start |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_S32PtrS32Ptr(Byte*, Int32*, Int32*, Int32, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_S32PtrS32Ptr(byte *label_id, int *xs, int *ys, int count, double ref, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Double | ref |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_S64PtrInt(Byte*, Int64*, Int32, Double, Double, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_S64PtrInt(byte *label_id, long *values, int count, double ref, double scale, double start, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | ref |
System.Double | scale |
System.Double | start |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_S64PtrS64Ptr(Byte*, Int64*, Int64*, Int32, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_S64PtrS64Ptr(byte *label_id, long *xs, long *ys, int count, double ref, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Double | ref |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_S8PtrInt(Byte*, SByte*, Int32, Double, Double, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_S8PtrInt(byte *label_id, sbyte *values, int count, double ref, double scale, double start, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | ref |
System.Double | scale |
System.Double | start |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_S8PtrS8Ptr(Byte*, SByte*, SByte*, Int32, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_S8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, double ref, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Double | ref |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_U16PtrInt(Byte*, UInt16*, Int32, Double, Double, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_U16PtrInt(byte *label_id, ushort *values, int count, double ref, double scale, double start, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | ref |
System.Double | scale |
System.Double | start |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_U16PtrU16Ptr(Byte*, UInt16*, UInt16*, Int32, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_U16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, double ref, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Double | ref |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_U32PtrInt(Byte*, UInt32*, Int32, Double, Double, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_U32PtrInt(byte *label_id, uint *values, int count, double ref, double scale, double start, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | ref |
System.Double | scale |
System.Double | start |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_U32PtrU32Ptr(Byte*, UInt32*, UInt32*, Int32, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_U32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, int count, double ref, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Double | ref |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_U64PtrInt(Byte*, UInt64*, Int32, Double, Double, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_U64PtrInt(byte *label_id, ulong *values, int count, double ref, double scale, double start, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | ref |
System.Double | scale |
System.Double | start |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_U64PtrU64Ptr(Byte*, UInt64*, UInt64*, Int32, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_U64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, double ref, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Double | ref |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_U8PtrInt(Byte*, Byte*, Int32, Double, Double, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_U8PtrInt(byte *label_id, byte *values, int count, double ref, double scale, double start, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | ref |
System.Double | scale |
System.Double | start |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStems_U8PtrU8Ptr(Byte*, Byte*, Byte*, Int32, Double, ImPlotStemsFlags, Int32, Int32)

##### Declaration

    public static extern void ImPlot_PlotStems_U8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, int count, double ref, ImPlotStemsFlags flags, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Double | ref |
ImPlotStemsFlags | flags |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotText(Byte*, Double, Double, Vector2, ImPlotTextFlags)

##### Declaration

    public static extern void ImPlot_PlotText(byte *text, double x, double y, Vector2 pix_offset, ImPlotTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | text |
System.Double | x |
System.Double | y |
System.Numerics.Vector2 | pix_offset |
ImPlotTextFlags | flags |

#### ImPlot_PlotToPixels_double(Vector2*, Double, Double, ImAxis, ImAxis)

##### Declaration

    public static extern void ImPlot_PlotToPixels_double(Vector2*pOut, double x, double y, ImAxis x_axis, ImAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |
System.Double | x |
System.Double | y |
ImAxis | x_axis |
ImAxis | y_axis |

#### ImPlot_PlotToPixels_PlotPoInt(Vector2*, ImPlotPoint, ImAxis, ImAxis)

##### Declaration

    public static extern void ImPlot_PlotToPixels_PlotPoInt(Vector2*pOut, ImPlotPoint plt, ImAxis x_axis, ImAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |
ImPlotPoint | plt |
ImAxis | x_axis |
ImAxis | y_axis |

#### ImPlot_PopColormap(Int32)

##### Declaration

    public static extern void ImPlot_PopColormap(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |

#### ImPlot_PopPlotClipRect()

##### Declaration

    public static extern void ImPlot_PopPlotClipRect()

#### ImPlot_PopStyleColor(Int32)

##### Declaration

    public static extern void ImPlot_PopStyleColor(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |

#### ImPlot_PopStyleVar(Int32)

##### Declaration

    public static extern void ImPlot_PopStyleVar(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |

#### ImPlot_PushColormap_PlotColormap(ImPlotColormap)

##### Declaration

    public static extern void ImPlot_PushColormap_PlotColormap(ImPlotColormap cmap)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotColormap | cmap |

#### ImPlot_PushColormap_Str(Byte*)

##### Declaration

    public static extern void ImPlot_PushColormap_Str(byte *name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |

#### ImPlot_PushPlotClipRect(Single)

##### Declaration

    public static extern void ImPlot_PushPlotClipRect(float expand)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | expand |

#### ImPlot_PushStyleColor_U32(ImPlotCol, UInt32)

##### Declaration

    public static extern void ImPlot_PushStyleColor_U32(ImPlotCol idx, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotCol | idx |
System.UInt32 | col |

#### ImPlot_PushStyleColor_Vec4(ImPlotCol, Vector4)

##### Declaration

    public static extern void ImPlot_PushStyleColor_Vec4(ImPlotCol idx, Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotCol | idx |
System.Numerics.Vector4 | col |

#### ImPlot_PushStyleVar_Float(ImPlotStyleVar, Single)

##### Declaration

    public static extern void ImPlot_PushStyleVar_Float(ImPlotStyleVar idx, float val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyleVar | idx |
System.Single | val |

#### ImPlot_PushStyleVar_Int(ImPlotStyleVar, Int32)

##### Declaration

    public static extern void ImPlot_PushStyleVar_Int(ImPlotStyleVar idx, int val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyleVar | idx |
System.Int32 | val |

#### ImPlot_PushStyleVar_Vec2(ImPlotStyleVar, Vector2)

##### Declaration

    public static extern void ImPlot_PushStyleVar_Vec2(ImPlotStyleVar idx, Vector2 val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyleVar | idx |
System.Numerics.Vector2 | val |

#### ImPlot_SampleColormap(Vector4*, Single, ImPlotColormap)

##### Declaration

    public static extern void ImPlot_SampleColormap(Vector4*pOut, float t, ImPlotColormap cmap)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4* | pOut |
System.Single | t |
ImPlotColormap | cmap |

#### ImPlot_SetAxes(ImAxis, ImAxis)

##### Declaration

    public static extern void ImPlot_SetAxes(ImAxis x_axis, ImAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | x_axis |
ImAxis | y_axis |

#### ImPlot_SetAxis(ImAxis)

##### Declaration

    public static extern void ImPlot_SetAxis(ImAxis axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |

#### ImPlot_SetCurrentContext(IntPtr)

##### Declaration

    public static extern void ImPlot_SetCurrentContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

#### ImPlot_SetImGuiContext(IntPtr)

##### Declaration

    public static extern void ImPlot_SetImGuiContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

#### ImPlot_SetNextAxesLimits(Double, Double, Double, Double, ImPlotCond)

##### Declaration

    public static extern void ImPlot_SetNextAxesLimits(double x_min, double x_max, double y_min, double y_max, ImPlotCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x_min |
System.Double | x_max |
System.Double | y_min |
System.Double | y_max |
ImPlotCond | cond |

#### ImPlot_SetNextAxesToFit()

##### Declaration

    public static extern void ImPlot_SetNextAxesToFit()

#### ImPlot_SetNextAxisLimits(ImAxis, Double, Double, ImPlotCond)

##### Declaration

    public static extern void ImPlot_SetNextAxisLimits(ImAxis axis, double v_min, double v_max, ImPlotCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
System.Double | v_min |
System.Double | v_max |
ImPlotCond | cond |

#### ImPlot_SetNextAxisLinks(ImAxis, Double*, Double*)

##### Declaration

    public static extern void ImPlot_SetNextAxisLinks(ImAxis axis, double *link_min, double *link_max)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
System.Double* | link_min |
System.Double* | link_max |

#### ImPlot_SetNextAxisToFit(ImAxis)

##### Declaration

    public static extern void ImPlot_SetNextAxisToFit(ImAxis axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |

#### ImPlot_SetNextErrorBarStyle(Vector4, Single, Single)

##### Declaration

    public static extern void ImPlot_SetNextErrorBarStyle(Vector4 col, float size, float weight)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |
System.Single | size |
System.Single | weight |

#### ImPlot_SetNextFillStyle(Vector4, Single)

##### Declaration

    public static extern void ImPlot_SetNextFillStyle(Vector4 col, float alpha_mod)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |
System.Single | alpha_mod |

#### ImPlot_SetNextLineStyle(Vector4, Single)

##### Declaration

    public static extern void ImPlot_SetNextLineStyle(Vector4 col, float weight)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |
System.Single | weight |

#### ImPlot_SetNextMarkerStyle(ImPlotMarker, Single, Vector4, Single, Vector4)

##### Declaration

    public static extern void ImPlot_SetNextMarkerStyle(ImPlotMarker marker, float size, Vector4 fill, float weight, Vector4 outline)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotMarker | marker |
System.Single | size |
System.Numerics.Vector4 | fill |
System.Single | weight |
System.Numerics.Vector4 | outline |

#### ImPlot_SetupAxes(Byte*, Byte*, ImPlotAxisFlags, ImPlotAxisFlags)

##### Declaration

    public static extern void ImPlot_SetupAxes(byte *x_label, byte *y_label, ImPlotAxisFlags x_flags, ImPlotAxisFlags y_flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | x_label |
System.Byte* | y_label |
ImPlotAxisFlags | x_flags |
ImPlotAxisFlags | y_flags |

#### ImPlot_SetupAxesLimits(Double, Double, Double, Double, ImPlotCond)

##### Declaration

    public static extern void ImPlot_SetupAxesLimits(double x_min, double x_max, double y_min, double y_max, ImPlotCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x_min |
System.Double | x_max |
System.Double | y_min |
System.Double | y_max |
ImPlotCond | cond |

#### ImPlot_SetupAxis(ImAxis, Byte*, ImPlotAxisFlags)

##### Declaration

    public static extern void ImPlot_SetupAxis(ImAxis axis, byte *label, ImPlotAxisFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
System.Byte* | label |
ImPlotAxisFlags | flags |

#### ImPlot_SetupAxisFormat_Str(ImAxis, Byte*)

##### Declaration

    public static extern void ImPlot_SetupAxisFormat_Str(ImAxis axis, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
System.Byte* | fmt |

#### ImPlot_SetupAxisLimits(ImAxis, Double, Double, ImPlotCond)

##### Declaration

    public static extern void ImPlot_SetupAxisLimits(ImAxis axis, double v_min, double v_max, ImPlotCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
System.Double | v_min |
System.Double | v_max |
ImPlotCond | cond |

#### ImPlot_SetupAxisLimitsConstraints(ImAxis, Double, Double)

##### Declaration

    public static extern void ImPlot_SetupAxisLimitsConstraints(ImAxis axis, double v_min, double v_max)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
System.Double | v_min |
System.Double | v_max |

#### ImPlot_SetupAxisLinks(ImAxis, Double*, Double*)

##### Declaration

    public static extern void ImPlot_SetupAxisLinks(ImAxis axis, double *link_min, double *link_max)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
System.Double* | link_min |
System.Double* | link_max |

#### ImPlot_SetupAxisScale_PlotScale(ImAxis, ImPlotScale)

##### Declaration

    public static extern void ImPlot_SetupAxisScale_PlotScale(ImAxis axis, ImPlotScale scale)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
ImPlotScale | scale |

#### ImPlot_SetupAxisTicks_double(ImAxis, Double, Double, Int32, Byte**, Byte)

##### Declaration

    public static extern void ImPlot_SetupAxisTicks_double(ImAxis axis, double v_min, double v_max, int n_ticks, byte **labels, byte keep_default)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
System.Double | v_min |
System.Double | v_max |
System.Int32 | n_ticks |
System.Byte** | labels |
System.Byte | keep_default |

#### ImPlot_SetupAxisTicks_doublePtr(ImAxis, Double*, Int32, Byte**, Byte)

##### Declaration

    public static extern void ImPlot_SetupAxisTicks_doublePtr(ImAxis axis, double *values, int n_ticks, byte **labels, byte keep_default)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
System.Double* | values |
System.Int32 | n_ticks |
System.Byte** | labels |
System.Byte | keep_default |

#### ImPlot_SetupAxisZoomConstraints(ImAxis, Double, Double)

##### Declaration

    public static extern void ImPlot_SetupAxisZoomConstraints(ImAxis axis, double z_min, double z_max)

##### Parameters

Type | Name | Description
--- | --- | ---
ImAxis | axis |
System.Double | z_min |
System.Double | z_max |

#### ImPlot_SetupFinish()

##### Declaration

    public static extern void ImPlot_SetupFinish()

#### ImPlot_SetupLegend(ImPlotLocation, ImPlotLegendFlags)

##### Declaration

    public static extern void ImPlot_SetupLegend(ImPlotLocation location, ImPlotLegendFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotLocation | location |
ImPlotLegendFlags | flags |

#### ImPlot_SetupMouseText(ImPlotLocation, ImPlotMouseTextFlags)

##### Declaration

    public static extern void ImPlot_SetupMouseText(ImPlotLocation location, ImPlotMouseTextFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotLocation | location |
ImPlotMouseTextFlags | flags |

#### ImPlot_ShowColormapSelector(Byte*)

##### Declaration

    public static extern byte ImPlot_ShowColormapSelector(byte *label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_ShowDemoWindow(Byte*)

##### Declaration

    public static extern void ImPlot_ShowDemoWindow(byte *p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | p_open |

#### ImPlot_ShowInputMapSelector(Byte*)

##### Declaration

    public static extern byte ImPlot_ShowInputMapSelector(byte *label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_ShowMetricsWindow(Byte*)

##### Declaration

    public static extern void ImPlot_ShowMetricsWindow(byte *p_popen)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | p_popen |

#### ImPlot_ShowStyleEditor(ImPlotStyle*)

##### Declaration

    public static extern void ImPlot_ShowStyleEditor(ImPlotStyle*ref)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | ref |

#### ImPlot_ShowStyleSelector(Byte*)

##### Declaration

    public static extern byte ImPlot_ShowStyleSelector(byte *label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_ShowUserGuide()

##### Declaration

    public static extern void ImPlot_ShowUserGuide()

#### ImPlot_StyleColorsAuto(ImPlotStyle*)

##### Declaration

    public static extern void ImPlot_StyleColorsAuto(ImPlotStyle*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | dst |

#### ImPlot_StyleColorsClassic(ImPlotStyle*)

##### Declaration

    public static extern void ImPlot_StyleColorsClassic(ImPlotStyle*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | dst |

#### ImPlot_StyleColorsDark(ImPlotStyle*)

##### Declaration

    public static extern void ImPlot_StyleColorsDark(ImPlotStyle*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | dst |

#### ImPlot_StyleColorsLight(ImPlotStyle*)

##### Declaration

    public static extern void ImPlot_StyleColorsLight(ImPlotStyle*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | dst |

#### ImPlot_TagX_Bool(Double, Vector4, Byte)

##### Declaration

    public static extern void ImPlot_TagX_Bool(double x, Vector4 col, byte round)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x |
System.Numerics.Vector4 | col |
System.Byte | round |

#### ImPlot_TagX_Str(Double, Vector4, Byte*)

##### Declaration

    public static extern void ImPlot_TagX_Str(double x, Vector4 col, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x |
System.Numerics.Vector4 | col |
System.Byte* | fmt |

#### ImPlot_TagY_Bool(Double, Vector4, Byte)

##### Declaration

    public static extern void ImPlot_TagY_Bool(double y, Vector4 col, byte round)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | y |
System.Numerics.Vector4 | col |
System.Byte | round |

#### ImPlot_TagY_Str(Double, Vector4, Byte*)

##### Declaration

    public static extern void ImPlot_TagY_Str(double y, Vector4 col, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | y |
System.Numerics.Vector4 | col |
System.Byte* | fmt |

#### ImPlotInputMap_destroy(ImPlotInputMap*)

##### Declaration

    public static extern void ImPlotInputMap_destroy(ImPlotInputMap*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotInputMap* | self |

#### ImPlotInputMap_ImPlotInputMap()

##### Declaration

    public static extern ImPlotInputMap*ImPlotInputMap_ImPlotInputMap()

##### Returns

Type | Description
--- | ---
ImPlotInputMap* |

#### ImPlotPoint_destroy(ImPlotPoint*)

##### Declaration

    public static extern void ImPlotPoint_destroy(ImPlotPoint*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | self |

#### ImPlotPoint_ImPlotPoint_double(Double, Double)

##### Declaration

    public static extern ImPlotPoint*ImPlotPoint_ImPlotPoint_double(double _x, double _y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | _x |
System.Double | _y |

##### Returns

Type | Description
--- | ---
ImPlotPoint* |

#### ImPlotPoint_ImPlotPoint_Nil()

##### Declaration

    public static extern ImPlotPoint*ImPlotPoint_ImPlotPoint_Nil()

##### Returns

Type | Description
--- | ---
ImPlotPoint* |

#### ImPlotPoint_ImPlotPoint_Vec2(Vector2)

##### Declaration

    public static extern ImPlotPoint*ImPlotPoint_ImPlotPoint_Vec2(Vector2 p)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | p |

##### Returns

Type | Description
--- | ---
ImPlotPoint* |

#### ImPlotRange_Clamp(ImPlotRange*, Double)

##### Declaration

    public static extern double ImPlotRange_Clamp(ImPlotRange*self, double value)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRange* | self |
System.Double | value |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlotRange_Contains(ImPlotRange*, Double)

##### Declaration

    public static extern byte ImPlotRange_Contains(ImPlotRange*self, double value)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRange* | self |
System.Double | value |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlotRange_destroy(ImPlotRange*)

##### Declaration

    public static extern void ImPlotRange_destroy(ImPlotRange*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRange* | self |

#### ImPlotRange_ImPlotRange_double(Double, Double)

##### Declaration

    public static extern ImPlotRange*ImPlotRange_ImPlotRange_double(double _min, double _max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | _min |
System.Double | _max |

##### Returns

Type | Description
--- | ---
ImPlotRange* |

#### ImPlotRange_ImPlotRange_Nil()

##### Declaration

    public static extern ImPlotRange*ImPlotRange_ImPlotRange_Nil()

##### Returns

Type | Description
--- | ---
ImPlotRange* |

#### ImPlotRange_Size(ImPlotRange*)

##### Declaration

    public static extern double ImPlotRange_Size(ImPlotRange*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRange* | self |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlotRect_Clamp_double(ImPlotPoint*, ImPlotRect*, Double, Double)

##### Declaration

    public static extern void ImPlotRect_Clamp_double(ImPlotPoint*pOut, ImPlotRect*self, double x, double y)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | pOut |
ImPlotRect* | self |
System.Double | x |
System.Double | y |

#### ImPlotRect_Clamp_PlotPoInt(ImPlotPoint*, ImPlotRect*, ImPlotPoint)

##### Declaration

    public static extern void ImPlotRect_Clamp_PlotPoInt(ImPlotPoint*pOut, ImPlotRect*self, ImPlotPoint p)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | pOut |
ImPlotRect* | self |
ImPlotPoint | p |

#### ImPlotRect_Contains_double(ImPlotRect*, Double, Double)

##### Declaration

    public static extern byte ImPlotRect_Contains_double(ImPlotRect*self, double x, double y)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRect* | self |
System.Double | x |
System.Double | y |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlotRect_Contains_PlotPoInt(ImPlotRect*, ImPlotPoint)

##### Declaration

    public static extern byte ImPlotRect_Contains_PlotPoInt(ImPlotRect*self, ImPlotPoint p)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRect* | self |
ImPlotPoint | p |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlotRect_destroy(ImPlotRect*)

##### Declaration

    public static extern void ImPlotRect_destroy(ImPlotRect*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRect* | self |

#### ImPlotRect_ImPlotRect_double(Double, Double, Double, Double)

##### Declaration

    public static extern ImPlotRect*ImPlotRect_ImPlotRect_double(double x_min, double x_max, double y_min, double y_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x_min |
System.Double | x_max |
System.Double | y_min |
System.Double | y_max |

##### Returns

Type | Description
--- | ---
ImPlotRect* |

#### ImPlotRect_ImPlotRect_Nil()

##### Declaration

    public static extern ImPlotRect*ImPlotRect_ImPlotRect_Nil()

##### Returns

Type | Description
--- | ---
ImPlotRect* |

#### ImPlotRect_Max(ImPlotPoint*, ImPlotRect*)

##### Declaration

    public static extern void ImPlotRect_Max(ImPlotPoint*pOut, ImPlotRect*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | pOut |
ImPlotRect* | self |

#### ImPlotRect_Min(ImPlotPoint*, ImPlotRect*)

##### Declaration

    public static extern void ImPlotRect_Min(ImPlotPoint*pOut, ImPlotRect*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | pOut |
ImPlotRect* | self |

#### ImPlotRect_Size(ImPlotPoint*, ImPlotRect*)

##### Declaration

    public static extern void ImPlotRect_Size(ImPlotPoint*pOut, ImPlotRect*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | pOut |
ImPlotRect* | self |

#### ImPlotStyle_destroy(ImPlotStyle*)

##### Declaration

    public static extern void ImPlotStyle_destroy(ImPlotStyle*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | self |

#### ImPlotStyle_ImPlotStyle()

##### Declaration

    public static extern ImPlotStyle*ImPlotStyle_ImPlotStyle()

##### Returns

Type | Description
--- | ---
ImPlotStyle* |